Highlights:
   - **Bug fixes**
      - Add argument 'module' to 'warn_explicit' to show the deprecated warning (#6467) (by **Lin Jiang**)
      - Fix cache_loop_invariant_global_vars pass (#6462) (by **Lin Jiang**)
      - Fix memory leak in SPIRV module (#6449) (by **yekuang**)
   - **CUDA backend**
      - Add maximum stack limit to CompileConfig (#6455) (by **Lin Jiang**)
   - **Documentation**
      - Update the documentation about Dynamic SNode (#6752) (by **Lin Jiang**)
      - Stop mentioning packed mode (#6755) (by **Yi Xu**)
      - Update global_settings.md (#6668) (by **Zhao Liang**)
      - Update external.md (#6424) (by **Zhao Liang**)
      - Update differences_between_taichi_and_python_programs.md (#6454) (by **Zhao Liang**)
      - Update global_settings.md (#6370) (by **Zhao Liang**)
      - Update global data access rule checker in doc (#6347) (by **Mingrui Zhang**)
   - **Error messages**
      - Shorten traceback for _BoundedDifferentiableMethod (#6475) (by **Lin Jiang**)
      - Return NotImplemented for operations between field and Expr/Matrix/Struct (#6474) (by **Lin Jiang**)
      - Return TaichiTypeError in ASTTransformer when a binary op is not supported (#6477) (by **Lin Jiang**)
      - Deprecate ndrange with number of the loop variables != the dimension of the ndrange (#6422) (by **Lin Jiang**)
      - Add error message when the number of the loop variables does not match the dimension of the ndrange (#6360) (by **Lin Jiang**)
   - **Language and syntax**
      - Add deprecation warning for the removal of the packed switch (#6753) (by **Yi Xu**)
      - Enable packed mode by default (#6721) (by **Yi Xu**)
      - Fix warning messages (#6716) (by **Zhao Liang**)
      - Limit non-first division of an axis on a SNodeTree path to a power of two (#6690) (by **Yi Xu**)
      - Deprecate field_dim in ndarray annotation (#6687) (by **Haidong Lan**)
      - Deprecate element_dim and element_shape in ndarray annotations. (#6665) (by **Haidong Lan**)
      - Clean element shape in tests (#6643) (by **Haidong Lan**)
      - Remove element shape and element dim in unit tests (#6620) (by **Haidong Lan**)
      - MatrixType refactor: Support inverse() (#6542) (by **Yi Xu**)
      - MatrixType refactor: Support matrix factories (#6560) (by **Yi Xu**)
      - MatrixType refactor: Support dot/cross/outer_product (#6545) (by **Yi Xu**)
      - Add deactivate attribute to dynamic snodes (#6512) (by **Zhao Liang**)
      - Matrix lib: Stop changing dimension in transpose() (#6528) (by **Yi Xu**)
      - Add element access for sparse matrix on CUDA (#6250) (by **Jiafeng Liu**)
      - MatrixType refactor part 2: add more ops (#6425) (by **Mike He**)
      - MatrixType refactor: Support matrix slice (#6430) (by **Yi Xu**)
      - Allow augmented assign on matric slice (#6382) (by **Yi Xu**)
      - Allow filling a field with Expr (#6391) (by **Yi Xu**)
      - Replace matrix warning param by current logging level (#6377) (by **Zhao Liang**)
      - Matrix/Vector refactor: Matrix operations part 1 (#6319) (by **Mike He**)
   - **Metal backend**
      - Raise deprecate warning and error when using sparse snodes on metal (#6739) (by **Lin Jiang**)
   - **Miscellaneous**
      - Improve gif output compression rate (#6289) (by **Zhao Liang**)

Full changelog:
   - [aot] Revert C-API Device capability improvements (#6772) (by **PENGUINLIONG**)
   - [aot] C-API Device capability improvements (#6702) (by **PENGUINLIONG**)
   - [aot] C-API to get available archs (#6766) (by **PENGUINLIONG**)
   - [doc] Update sparse matrix document (#6719) (by **pengyu**)
   - [autodiff] Separate non-linear operators to an individual class (#6700) (by **Mingrui Zhang**)
   - [bug] Fix dereferencing nullptr (#6763) (by **Yi Xu**)
   - [Doc] Update the documentation about Dynamic SNode (#6752) (by **Lin Jiang**)
   - [doc] Update dev install about clang version (#6759) (by **Ailing**)
   - [build] Improve TI_WITH_CUDA guards for CUDA related test cases (#6698) (by **Zhanlue Yang**)
   - [Lang] Add deprecation warning for the removal of the packed switch (#6753) (by **Yi Xu**)
   - [lang] Improve sparse matrix building on GPU (#6748) (by **pengyu**)
   - [aot] JSON serde (#6754) (by **PENGUINLIONG**)
   - [bug] MatrixType bug fix: Fix error with to_numpy() and from_numpy() (#6726) (by **Zhanlue Yang**)
   - [Doc] Stop mentioning packed mode (#6755) (by **Yi Xu**)
   - [lang] Get the length of dynamic SNode by x.length() (#6750) (by **Lin Jiang**)
   - [llvm] Support nested struct with matrix return value on real function (#6734) (by **Lin Jiang**)
   - [Metal] [error] Raise deprecate warning and error when using sparse snodes on metal (#6739) (by **Lin Jiang**)
   - [build] Integrate backward_cpp to test targets for enabling C++ stack trace (#6697) (by **Zhanlue Yang**)
   - [aot] Load AOT module from memory (#6692) (#6714) (by **PENGUINLIONG**)
   - [ci] Add dockerfile.ubuntu-18.04.amdgpu (#6736) (by **Zeyu Li**)
   - [doc] Update LLVM10 -> LLVM15 in installation guide (#6747) (by **Zhanlue Yang**)
   - [misc] Fix warnings of taichi examples (#6740) (by **PGZXB**)
   - [example] Ti-example: instant ngp renderer (#6673) (by **Youtian Lin**)
   - [build] Use a separate prebuilt llvm15 binary for manylinux environment (#6732) (by **Ailing**)
   - [Lang] Enable packed mode by default (#6721) (by **Yi Xu**)
   - [test] Add jupyter notebook to tests (#6717) (by **Zhao Liang**)
   - [bug] Add lock to protect the CompileConfig map (#6723) (by **Lin Jiang**)
   - [lang] Support f64 cpu sparse linear solver (#6657) (by **pengyu**)
   - [lang] Fix implicit mass spring example bugs (#6703) (by **pengyu**)
   - [ci] Add dockerfile.ubuntu-20.04.amdgpu (#6711) (by **Zeyu Li**)
   - [bug] MatrixType bug fix: Fix error with nested StructType and MatrixType (#6689) (by **Zhanlue Yang**)
   - [Lang] Fix warning messages (#6716) (by **Zhao Liang**)
   - [llvm] Let real function support returning struct (#6614) (by **Lin Jiang**)
   - [opt] Turn mod/div into bit_and/bit_shr if possible in packed mode (#6718) (by **Yi Xu**)
   - [opt] Eliminate redundant mod in demote_dense_struct_fors under packed mode (#6709) (by **Yi Xu**)
   - [Lang] Limit non-first division of an axis on a SNodeTree path to a power of two (#6690) (by **Yi Xu**)
   - [ci] Run release tests in PRs (#6706) (by **Proton**)
   - [bug] MatrixType bug fix: Fix error with use of python scope ti.Matrix (#6635) (by **Zhanlue Yang**)
   - [bug] MatrixType bug fix: Support broadcasting for ternary operations (#6640) (by **Zhanlue Yang**)
   - [Doc] Update global_settings.md (#6668) (by **Zhao Liang**)
   - [aot] Revert "Load AOT module from memory (#6692)" (#6704) (by **Proton**)
   - [lang] Revert "Add spmv and sparse linear solver using ndarray as vector (#6651)" (#6701) (by **Proton**)
   - [aot] Load AOT module from memory (#6692) (by **PENGUINLIONG**)
   - [lang] Add spmv and sparse linear solver using ndarray as vector (#6651) (by **pengyu**)
   - [Lang] Deprecate field_dim in ndarray annotation (#6687) (by **Haidong Lan**)
   - [doc] Fix a format issue (#6686) (by **Olinaaaloompa**)
   - [doc] Update deprecated function call "ti.ui.make_camera()" to "ti.ui.Camera()" (#6694) (by **Zhi Qi**)
   - [build] Delete all llvm10 code and TI_LLVM_15 macro (#6685) (by **Ailing**)
   - [test] Skip f16 tests if not supported (for Pascal) (#6661) (by **Proton**)
   - [build] Support any 13<clang<=15 as CLANG_EXECUTABLE on macOS (#6682) (by **Ailing**)
   - [misc] Remove legacy ti benchmark (#6670) (by **Lin Jiang**)
   - [autodiff] Enforce an empty block a smallest independent block (#6681) (by **Mingrui Zhang**)
   - [autodiff] Fix missing global load stmt in independent blocks (#6662) (by **Mingrui Zhang**)
   - [lang] Merge triplets  in the same position when building GPU sparse matrix (#6605) (by **pengyu**)
   - [aot] Load AOT module from Zip archive (#6677) (by **PENGUINLIONG**)
   - [Lang] Deprecate element_dim and element_shape in ndarray annotations. (#6665) (by **Haidong Lan**)
   - [lang] MatrixType refactor: Support validating swizzle patterns (#6631) (by **Yi Xu**)
   - [ci] Add unzip & sudo to manylinux2014 build image (#6683) (by **Proton**)
   - [build] Support any clang<=15 as CLANG_EXECUTABLE (#6678) (by **Ailing**)
   - [autodiff] Refactor independent block identification (#6659) (by **Mingrui Zhang**)
   - Revert "[ci] Install unzip in manylinux build" (#6680) (by **Ailing**)
   - [bug] MatrixType bug fix: Fix numerical error with grouped ndrange (#6632) (by **Zhanlue Yang**)
   - [misc] Add VS Chromium Code Search config (#6675) (by **Bob Cao**)
   - [misc] Fix warning with TI_DLL_EXPORT (#6676) (by **Bob Cao**)
   - [ci] Install unzip in manylinux build (#6658) (by **Ailing**)
   - [misc] Remove class Statistics (#6671) (by **Lin Jiang**)
   - [ci] Adaptively laying off test workers on CUDA OOM, 2nd try (#6641) (by **Proton**)
   - [ci] Resolve GitHub Actions warnings (#6642) (by **Proton**)
   - [aot] Modify Unity CI to track master branch of Taichi-Unity (#6655) (by **Zhanlue Yang**)
   - [Lang] [ci] Clean element shape in tests (#6643) (by **Haidong Lan**)
   - [build] Turn TI_LLVM_15 on by default (#6649) (by **Ailing**)
   - [doc] Update prebuilt llvm15 links in dev install doc (#6648) (by **Ailing**)
   - [lang] MatrixType refactor: Support svd(), polar_decompose() (#6636) (by **Yi Xu**)
   - [bug] Add a mutex to protect counters_map in Statistics (#6645) (by **Lin Jiang**)
   - [build] Restore installed c_api headers in the python wheel (#6647) (by **Ailing**)
   - [ci] Move macos10.15 job to build with LLVM 15 (#6634) (by **Ailing**)
   - [ci] Delete windows llvm10 ci job (#6639) (by **Ailing**)
   - [gui] Tolerate swapchain image count (#6629) (by **PENGUINLIONG**)
   - [ci] Revert "[Lang] [ci] Remove element shape and element dim in unit tests" (#6638) (by **Haidong Lan**)
   - [ci] Revert "Adaptively laying off test workers on CUDA OOM (#6628)" (#6637) (by **Proton**)
   - [refactor] Simplify callback logic for torch & paddle args (#6626) (by **Ailing**)
   - [Lang] [ci] Remove element shape and element dim in unit tests (#6620) (by **Haidong Lan**)
   - [build] Add AOT headless tests to Linux CI (#6509) (by **Zhanlue Yang**)
   - [autodiff] Clear adjoint after global store (#6579) (by **Mingrui Zhang**)
   - [lang] MatrixType refactor: Support eig(), sym_eig(), solve() (#6627) (by **Yi Xu**)
   - [lang] MatrixType bug fix: Fix result type of matmul (#6613) (by **Yi Xu**)
   - [ci] Adaptively laying off test workers on CUDA OOM (#6628) (by **Proton**)
   - [ci] Move m1 job to use build with LLVM 15 (#6483) (by **Ailing**)
   - [Doc] Update external.md (#6424) (by **Zhao Liang**)
   - [Doc] Update differences_between_taichi_and_python_programs.md (#6454) (by **Zhao Liang**)
   - [test] Tuning CUDA tests resource consumption (#6625) (by **Proton**)
   - [aot] Yet another device capability test (#6623) (by **PENGUINLIONG**)
   - [doc] Add faq about how to use code completion in vscode (#6621) (by **Ailing**)
   - [aot] Test for AOT device capability (#6618) (by **PENGUINLIONG**)
   - [misc] Cleanup unused files in root dir (#6619) (by **Ailing**)
   - [ci] Remove automatic version bump PR (#6617) (by **Ailing**)
   - [bug] MatrixType bug fix: Fix indexing support for custom vector types (#6609) (by **Zhanlue Yang**)
   - [aot] C-API device capability query (#6549) (by **PENGUINLIONG**)
   - [bug] Loose memory leak constraint for test_memory (#6602) (by **Zhanlue Yang**)
   - Revert "[bug] MatrixType bug fix: Fix indexing support for custom vector types" (#6608) (by **Zhanlue Yang**)
   - [lang] MatrixType bug fix: Add support for rows and cols when real_matrix is ON (#6428) (by **Zhanlue Yang**)
   - [ci] CUDA tests speed up (#6516) (by **Proton**)
   - [bug] MatrixType bug fix: Fix indexing support for custom vector types (#6568) (by **Zhanlue Yang**)
   - [ci] Relax timeout for gpu jobs and memory limit (#6601) (by **Ailing**)
   - [lang] Fix sparse matrix builder segment fault (#6592) (by **pengyu**)
   - [lang] MatrixType bug fix: Add attributes n & m (#6585) (by **Yi Xu**)
   - [lang] Unify Cuda and CPU linear solve API (#6578) (by **pengyu**)
   - [build] Remove macOS 10.14 (#6596) (by **Zhanlue Yang**)
   - [aot] Make MoltenVK builds more flexible (#6582) (by **PENGUINLIONG**)
   - [ci] Terminate workers even earlier when test fails (#6587) (by **Proton**)
   - [cuda] Parallelize random state initialization in ti.init() (#6586) (by **Proton**)
   - [build] Remove macOS 10.14 from release tests (#6584) (by **Zhanlue Yang**)
   - Revert "[lang] Build sparse matrix using ndarray" (#6583) (by **Yi Xu**)
   - [lang] Build sparse matrix using ndarray (#6563) (by **pengyu**)
   - [lang] Unify Cuda and CPU Spmv API (#6575) (by **pengyu**)
   - [lang] Add fused foreach check (#6525) (by **Mike He**)
   - [doc] Update sparse.md (#6580) (by **Zhao Liang**)
   - [Lang] MatrixType refactor: Support inverse() (#6542) (by **Yi Xu**)
   - [bug] Sync after executing kernels which have print inside (#6577) (by **Lin Jiang**)
   - [aot] Make arch an optional argument in ti.aot.Module (#6574) (by **Ailing**)
   - [aot] [ci] Change taichi-aot-demo branch back to master (#6567) (by **Ailing**)
   - [bug] Fix real_matrix support for Dynamic SNode (#6553) (by **Zhanlue Yang**)
   - [build] Downgrade molten-vk version to v1.1.10 (#6564) (by **Zhanlue Yang**)
   - [ci] Terminate (and restart) test worker when test fails (#6562) (by **Proton**)
   - [aot] Switch aot tests to use a script in taichi-aot-demo (#6559) (by **Ailing**)
   - [ci] Skip match_any and match_all intrinsics for Pascal (#6555) (by **Haidong Lan**)
   - [lang] MatrixType bug fix: Make test_mpm88 work properly (#6557) (by **Yi Xu**)
   - [Lang] MatrixType refactor: Support matrix factories (#6560) (by **Yi Xu**)
   - [lang] MatrixType bug fix: Fix type error with struct-for loop index (#6531) (by **Zhanlue Yang**)
   - [ci] Marker for running resource intensive tests in serial (#6565) (by **Proton**)
   - [ci] GitHub Actions: Merge CPU & GPU tasks (#6476) (by **Proton**)
   - [bug] Rehash compile config map in advance (#6550) (by **Lin Jiang**)
   - [aot] Deprecate filename arg in ti.aot.Module.save() (#6554) (by **Ailing**)
   - [lang] Add matrix support for Dynamic SNode (#6535) (by **Lin Jiang**)
   - [aot] Enable aot tutorial demo in CI (#6543) (by **Ailing**)
   - [refactor] Remove redundant checks when demoting dense struct fors (#6484) (by **Yi Xu**)
   - [lang] MatrixType bug fix: Fix matrix indexing error with SharedArray (#6534) (by **Zhanlue Yang**)
   - [bug] [aot] Fix texture struct for with cgraph (#6536) (by **Ailing**)
   - [Lang] MatrixType refactor: Support dot/cross/outer_product (#6545) (by **Yi Xu**)
   - [Lang] Add deactivate attribute to dynamic snodes (#6512) (by **Zhao Liang**)
   - [lang] MatrixType bug fix: Allow builtin any() and all() (#6533) (by **Yi Xu**)
   - [lang] MatrixType bug fix: Fix error message mismatch (#6532) (by **Zhanlue Yang**)
   - [opt] Eliminate redundant BitExtractStmt for SNode access under non-packed mode (#6530) (by **Yi Xu**)
   - [build] Fix error with AOT file generation & reset Android test folder per run (#6496) (by **Zhanlue Yang**)
   - [Lang] Matrix lib: Stop changing dimension in transpose() (#6528) (by **Yi Xu**)
   - [misc] Add dynamic_index to offline cache key (#6524) (by **PGZXB**)
   - [ci] GitHub Action slack bot message, again :( (#6529) (by **Proton**)
   - [Lang] Add element access for sparse matrix on CUDA (#6250) (by **Jiafeng Liu**)
   - [ci] Raise CPU tasks timeout (temporary workaround) (#6527) (by **Proton**)
   - [ci] Update slack message to include workflow_url instead of head commit (#6526) (by **Ailing**)
   - [test] Test real function on enabling the offline cache (#6523) (by **PGZXB**)
   - [lang] MatrixType refactor: Simplify reduction ops (#6521) (by **Yi Xu**)
   - [lang] Add support for real matrix args on real function (#6522) (by **Lin Jiang**)
   - [bug] Fix that the cgraph doesn't respect the caps set by ti.aot.Module() (#6520) (by **PGZXB**)
   - [aot] Fixed vulkan texture usage export (#6519) (by **PENGUINLIONG**)
   - Revert "[Misc] Improve gif output compression rate" (#6517) (by **Ailing**)
   - [lang] MatrixType refactor: Properly raise error when dynamic_index=False (#6499) (by **Yi Xu**)
   - [Lang] MatrixType refactor part 2: add more ops (#6425) (by **Mike He**)
   - [Misc] Improve gif output compression rate (#6289) (by **Zhao Liang**)
   - [lang] Add support for struct on Dynamic SNode (#6502) (by **Lin Jiang**)
   - [ci] Fix master notification bot json format (#6511) (by **Proton**)
   - [cuda] Enable test on dense dynamic field (#6510) (by **Lin Jiang**)
   - [lang] MatrixType refactor: Support vector swizzle (#6506) (by **Yi Xu**)
   - [aot] Select any of vkGetPhysicalDeviceMemoryProperties2 (#6498) (by **PENGUINLIONG**)
   - [ci] Fix master bot text format (#6507) (by **Proton**)
   - [refactor] Simplify logic in get_function_body. (#6503) (by **Ailing**)
   - [lang] Support matrix args on real function (#6493) (by **Lin Jiang**)
   - [ci] Add taichi bot to send message to slack on master failure (#6501) (by **Ailing**)
   - [aot] Move arch in Runtime wrapper object (#6504) (by **PENGUINLIONG**)
   - [example] Fix out-of-bound access in examples (#6500) (by **Yi Xu**)
   - [refactor] Remove unused has_external_arrays flag (#6497) (by **Ailing**)
   - [aot] Disable physical storage buffer in runtime (#6494) (by **PENGUINLIONG**)
   - [ci] Package C-API in nightly builds (#6479) (by **Proton**)
   - [llvm] Add support for data types of different sizes on dynamic SNode (#6490) (by **Lin Jiang**)
   - [llvm] Set the name of the LLVM function of the real function to its name (#6495) (by **Lin Jiang**)
   - [opt] Revert "Eliminate redundant BitExtractStmt for SNode access under non-packed mode (#6491) (by **Proton**)
   - [aot] Add JSON serde (#6470) (by **PENGUINLIONG**)
   - [opt] Eliminate redundant BitExtractStmt for SNode access under non-packed mode (#6485) (by **Yi Xu**)
   - [lang] MatrixType bug fix: Demote ret_type for ArgLoadStmt after scalarization (#6433) (by **Zhanlue Yang**)
   - [test] MatrixType refactor: Add tests for writing to matrix slice (#6480) (by **Yi Xu**)
   - [Error] Shorten traceback for _BoundedDifferentiableMethod (#6475) (by **Lin Jiang**)
   - [Error] Return NotImplemented for operations between field and Expr/Matrix/Struct (#6474) (by **Lin Jiang**)
   - [Error] Return TaichiTypeError in ASTTransformer when a binary op is not supported (#6477) (by **Lin Jiang**)
   - [ci] Switch linux gpu job to use LLVM 15 (#6465) (by **Ailing**)
   - [aot] Modify aot-demo.sh to track master branch of taichi-aot-demo (#6473) (by **Zhanlue Yang**)
   - [ci] Move implicit fem android demo to master branch (#6463) (by **Ailing**)
   - [aot] Add VkDeviceMemory to TiVulkanMemoryInteropInfo (#6442) (by **Zhanlue Yang**)
   - [aot] Disabled physical storage buffer temporarily (#6468) (by **PENGUINLIONG**)
   - [ci] Add PR tag for amdgpu. (#6466) (by **Zeyu Li**)
   - [Bug] [error] Add argument 'module' to 'warn_explicit' to show the deprecated warning (#6467) (by **Lin Jiang**)
   - [bug] Fix false overflow alarm in struct fors under packed mode (#6457) (by **Yi Xu**)
   - [Bug] Fix cache_loop_invariant_global_vars pass (#6462) (by **Lin Jiang**)
   - [llvm] Fix broken llvm module on CUDA backend when TI_LLVM_15 is on (#6458) (by **Ailing**)
   - Revert "[ci] Add unix end-to-end CI tests for meshtaichi" (#6460) (by **Ailing**)
   - [lang] MatrixType bug fix: support star & loop operations over matrix-typed Expr (#6427) (by **Zhanlue Yang**)
   - [ci] Add unix end-to-end CI tests for meshtaichi (#6453) (by **yixu**)
   - [CUDA] Add maximum stack limit to CompileConfig (#6455) (by **Lin Jiang**)
   - [ci] Swtich CPU jobs to use prebuilt LLVM15 (#6435) (by **Ailing**)
   - [Bug] Fix memory leak in SPIRV module (#6449) (by **yekuang**)
   - [llvm] Allocate RuntimeContext on heap (#6420) (by **Lin Jiang**)
   - [opt] Eliminate redundant mod for SNode access under packed mode (#6444) (by **Yi Xu**)
   - [vulkan] Disable NoSignedWrap decoration on vulkan backend (#6440) (by **Ailing**)
   - [example] Ti-example: phase field simulation of snow growth (#6439) (by **莫翰轩**)
   - [misc] Bump version to v1.2.1 (#6436) (by **Zhanlue Yang**)
   - [Lang] MatrixType refactor: Support matrix slice (#6430) (by **Yi Xu**)
   - [aot] Warns the user when mapping device-only memory (#6417) (by **PENGUINLIONG**)
   - [Error] Deprecate ndrange with number of the loop variables != the dimension of the ndrange (#6422) (by **Lin Jiang**)
   - [aot] Support push_arg for Kernel in C++ wrapper (#6419) (by **Ailing**)
   - [aot] Use count instead of size-in-bytes for ND-array access in C++ wrapper (#6409) (by **PENGUINLIONG**)
   - [aot] Rename incomplete to truncated (#6418) (by **PENGUINLIONG**)
   - [error] Warn Linux users about manylinux2014 build on startup (#6416) (by **Proton**)
   - [vulkan] [bug] Stop using the buffer device address feature on macOS (#6415) (by **Yi Xu**)
   - [aot] Fixed default list (#6403) (by **PENGUINLIONG**)
   - [aot] Device capability refactorization (#6184) (by **PENGUINLIONG**)
   - [bug] Fix flaky test with taichi_sparse_test.cpp (#6400) (by **Zhanlue Yang**)
   - [Lang] Allow augmented assign on matric slice (#6382) (by **Yi Xu**)
   - [Doc] Update global_settings.md (#6370) (by **Zhao Liang**)
   - [example] Change unnecessary ti.ndrange call to range in Karmal vortex example (#6389) (by **Zhao Liang**)
   - [Lang] [bug] Allow filling a field with Expr (#6391) (by **Yi Xu**)
   - [bug] [lang] Fix copyback for fortran contiguous numpy arrays" (#6390) (by **Ailing Zhang**)
   - [lang] Fix from_numpy() for vector field with a non-contiguous array (by **Ailing Zhang**)
   - [Doc] Update global data access rule checker in doc (#6347) (by **Mingrui Zhang**)
   - [lang] Texture format for better expressiveness (#6338) (by **PENGUINLIONG**)
   - [spirv] Fix duplicated interface id for global_tmp buffers (#6392) (by **Ailing**)
   - Revert "[bug] [lang] Fix copyback for fortran contiguous numpy arrays" (#6390) (by **Ailing**)
   - [bug] [lang] Fix copyback for fortran contiguous numpy arrays (#6376) (by **Ailing**)
   - [Lang] Replace matrix warning param by current logging level (#6377) (by **Zhao Liang**)
   - [misc] Tweak CMake clang exec messages (#6379) (by **yekuang**)
   - [lang] Support structured for loop for RW texture (#6336) (by **PENGUINLIONG**)
   - [autodiff] Fix mode capture for validation kernels (#6361) (by **Mingrui Zhang**)
   - [lang] MatrixType bug fix: Support returning an Expr with MatrixType (#6375) (by **Yi Xu**)
   - [lang] MatrixType bug fix: Fix error with print of MatrixType (#6340) (by **Zhanlue Yang**)
   - [autodiff] Add complicated test case for gdar checker (#6366) (by **Mingrui Zhang**)
   - [lang] [refactor] Refine implementation and tests for matrix slice (#6373) (by **Yi Xu**)
   - [lang] MatrixType bug fix: Add support for unpacking Expr with MatrixType (#6341) (by **Zhanlue Yang**)
   - [Lang] Matrix/Vector refactor: Matrix operations part 1 (#6319) (by **Mike He**)
   - [bug] Fix potential bug in #6362 (#6363) (by **Yi Xu**)
   - [mesh] Fix MeshTaichi warnings in CUDA backend (#6369) (by **Chang Yu**)
   - [bug] Fix returning uint64 as signed integer (#6364) (by **Lin Jiang**)
   - [doc] Update doc about how to use vulkan print (#6359) (by **Ailing**)
   - [Error] Add error message when the number of the loop variables does not match the dimension of the ndrange (#6360) (by **Lin Jiang**)
